﻿<UserControl x:Class="LabKPZDB_EF.View.StaticIpView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:LabKPZDB_EF.View"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <DataGrid x:Name="StaticIpGrid" Height="Auto"  AutoGenerateColumns="False" 
                  ItemsSource="{Binding StaticIpServicesList, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}"
                   SelectedItem="{Binding Path=SelectedItem, Mode=TwoWay}">

            <DataGrid.Columns>
                <DataGridTextColumn Header="IP" Binding="{Binding Path=sip, Mode=TwoWay}"/>
       
            </DataGrid.Columns>

        </DataGrid>
    </Grid>
</UserControl>
